Subject: Re: [PATCH v2 00/15] sysctl: Remove sentinel elements from drivers

From: Michael Ellerman <[email-masked]>
Date: Sun, 08 Oct 2023 09:28:00 +1100

Joel Granados <[email-masked]> writes:
> On Mon, Oct 02, 2023 at 12:27:18PM +0000, Christophe Leroy wrote:
>> Le 02/10/2023 à 10:55, Joel Granados via B4 Relay a écrit :
>> > From: Joel Granados <[email-masked]>
>> > 
> <--- snip --->
>> >          - The "yesall" config saves 2432 bytes [4]
>> >          - The "tiny" config saves 64 bytes [5]
>> >      * memory usage:
>> >          In this case there were no bytes saved because I do not have any
>> >          of the drivers in the patch. To measure it comment the printk in
>> >          `new_dir` and uncomment the if conditional in `new_links` [3].
>> > 
>> > ---
>> > Changes in v2:
>> > - Left the dangling comma in the ctl_table arrays.
>> > - Link to v1: https://lore.kernel.org/r/[email-masked]
>> > 
>> > Comments/feedback greatly appreciated
>> 
>> Same problem on powerpc CI tests, all boot target failed, most of them 
>> with similar OOPS, see 
>> https://patchwork.ozlabs.org/project/linuxppc-dev/patch/[email-masked]/
> I found the culprit!. Here you are rebasing on top of v6.5.0-rc6 "INFO:
> Looking for kernel version: 6.5.0-rc6-gbf2ac4d7d596". The error makes
> sense becuase in that version we have not introduced the stopping
> criteria based on the ctl_table array size, so the loop continues
> looking for an empty sentinel past valid memory (and does not find it).
> The ctl_table check catches it but then fails to do a proper error
> because we have already tried to access invalid memory. The solution
> here is to make sure to rebase in on top of the latest rc in v6.6.

Thanks for tracking it down.

This is my fault, previously Russell would update the branch that the CI
uses as its base. Now that he has left I need to do that myself, but had
forgotten.

Sorry for the noise.

cheers